# schrank.py

from grafikfenster import *

from moebel import Moebel

### ---------------------------------------------------
class Schrank(Moebel):
    '''Klasse zur Darstellung von Schranksymbolen'''
    def __init__(self,
                 xPos=0,
                 yPos=0,
                 breite=100,
                 tiefe=60,
                 winkel=0,
                 farbe="brown",
                 sichtbar=False):
        Moebel.__init__(self, xPos, yPos, breite, tiefe, winkel, farbe, sichtbar)

    def GibFigur(self):
        """definiert die zu zeichnende Figur"""
        path = self.GibZeichenPfad()

        b,t=self.GibBreite(), self.GibTiefe()
        path.AddRectangle(0, 0, b, t)
        path.MoveToPoint(0, 0)
        path.AddLineToPoint(b, t)
        path.MoveToPoint(b, 0)
        path.AddLineToPoint(0, t)

        return self.Transformiere(path)

### ---------------------------------------------------
class SchrankApp(wx.App):
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.TestAnwendung()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        return True

    def TestAnwendung(self):
        # Allein fuer die Testanwendung:
        global schrank
        schrank=Schrank(40, 40, 60, 37, 0, 'black', True)
### ---------------------------------------------------
if __name__ == '__main__':
    app = SchrankApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
